<?php
/**
 * @version     1.0.0
 * @package     com_joomtube
 * @copyright   Copyright (C) 2012. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by gdimi@hyperworks.gr - http://www.hyperworks.gr
 */

// no direct access
defined('_JEXEC') or die;

//load language files
$lang =& JFactory::getLanguage();
$extension = 'com_joomtube';
$base_dir = JPATH_SITE;
$language_tag = $lang->getTag();
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);

//loaded joomtube basic css & fancybox stuff
$document = &JFactory::getDocument();
$document->addScript( 'components/com_joomtube/assets/fancyBox/source/jquery.fancybox.pack.js' );
$document->addStyleSheet(JURI::base() . 'components/com_joomtube/assets/fancyBox/source/jquery.fancybox.css');
$document->addStyleSheet(JURI::base() . 'components/com_joomtube/views/joomtube/tmpl/joomtube.css');

if (file_exists('joomtube.txt')) {
	$videoz = file('joomtube.txt');
	foreach ($videoz as $video) {
		if (strpos($video,'youtube')!==false) {
			//check if it is a copy-paste from browser bar 
			$video_m = substr($video,0,strpos($video,'v=')+2);
			$video_id = str_replace($video_m,'',$video);
			$fe = strpos($video_id,'&fe');
			if ($fe) {
				$video_id = str_replace(substr($video_id,$fe,strlen($video_id)),'',$video_id);
			}
			$videos[] = $video_id;
		} elseif (strpos($video,'youtu.be')!==false) {
			//check if it is a link from youtube's share button
			$videos[] = substr($video,strpos($video,'.be')+4,strlen($video));
		} else {
			//assume is an id..hope so
			$videos[] = $video;
		}
	}
	var_dump($videos);
} else {
	echo 'no file found!';
	exit();
}


$videos[] = '3Q6Lgm5PfVg';
$videos[] = '48wXedkVZEE';
$videos[] = '-rlIxkzWLKU';
$videos[] = 'EIv2-vc66iM';
$videos[] = 'Mc71KAx2xKM';
$videos[] = 'QSWUc8W_7bM';
$videos[] = 'GeXu_sjJYt8';
$videos[] = 'q-Ak6l9zn-0';

$img_markup = '<div class="joomtube_gallery">
					<span class="joomtube_title">'.JText::_('COM_JOOMTUBE_TITLE').'</span>';

foreach ($videos as $video) {
	//just a counter to use at div ids
	++$i;
	//load json stuff from youtbe
	$json = json_decode(file_get_contents("http://gdata.youtube.com/feeds/api/videos/$video?v=2&alt=jsonc"));
	//calculate duration
	$duration = $json->data->duration;
	$d_mins = floor($duration/60);
	$d_secs = ceil($duration % 60);
	if ($d_secs < 10) {
		$d_secs = "0{$d_secs}";
	}
	$duration = "($d_mins:$d_secs)";
	//make href to use later in js and markup
	$vid_href = "http://www.youtube.com/v/$video";
	//now store full html markup along with fancybox js for each video
	$img_html[] = '<a href="http://www.youtube.com/watch?v='.$vid_href.'&feature=player_embedded" id="vid'.$i.'"><img src="' . $json->data->thumbnail->sqDefault . '" style="" /></a><div class="joomtube_details">'.$json->data->title.'&nbsp;<br />'.$duration.'&nbsp;views: '.$json->data->viewCount.'</div>
    <script>
    var $fancy = jQuery.noConflict();
    $fancy("#vid'.$i.'").click(function() {
	$fancy.fancybox({'."
			'padding'		: 0,
			'autoScale'		: false,
			'transitionIn'	: 'none',
			'transitionOut'	: 'none',
			'title'			: this.title,
			'width'			: 680,
			'height'		: 495,
			'href'			: '$vid_href',
			'type'			: 'swf',
			'swf'			: {
			   	 'wmode'		: 'transparent',
				'allowfullscreen'	: 'true'
			}
		});

	return false;
});</script>";
}

foreach ($img_html as $single_html) {
	++$j;
		if ($j == 5 ) {$clear_float = 'clear:left;';} else { $clear_float = ''; }
	$img_markup .= '<div class="joomtube_single" style="'.$clear_float.'">'.$single_html.'</div>';
}

$img_markup .='</div>';
?>
<?php
echo $img_markup;
?>
